package com.jianshui.income.domain.entity;

import com.jianshui.common.annotation.Excel;
import com.jianshui.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 进项发票采集记录对象 cjjlb
 * 
 * @author tianenhui
 * @date 2022-06-11
 */
@Data
public class CollectRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 批次号 */
    private String pch;

    /** 购买方识别号 */
    @Excel(name = "购买方识别号")
    private String gmfsbh;

    /** 发票类型代码 */
    @Excel(name = "发票类型代码")
    private String fplxdm;

    /** 采集开始日期 */
    @Excel(name = "采集开始日期")
    private String cjksrq;

    /** 采集结束日期 */
    @Excel(name = "采集结束日期")
    private String cjjsrq;

    /** 结果行数 */
    @Excel(name = "结果行数")
    private Long zhs;

    /** 当前税款所属期 */
    @Excel(name = "当前税款所属期")
    private String dqskssq;

    /** 采集类型 */
    @Excel(name = "采集类型")
    private String cjlx;

    private String createtime;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("pch", getPch())
            .append("gmfsbh", getGmfsbh())
            .append("fplxdm", getFplxdm())
            .append("cjksrq", getCjksrq())
            .append("cjjsrq", getCjjsrq())
            .append("zhs", getZhs())
            .append("dqskssq", getDqskssq())
            .append("cjlx", getCjlx())
            .toString();
    }
}
